Deep Security Manager REST API

Path: / rest / tenantdatabaseservers / {tenantDatabaseServerId}

Get a specific Tenant Database Server.

Path parameters:
tenantDatabaseServerId - Unique identifier of the Tenant Database Server.

Method Summary
ResourceDescription
GET /rest/tenantdatabaseservers/{tenantDatabaseServerId}?sID=…Get a specific Tenant Database Server.
PUT /rest/tenantdatabaseservers/{tenantDatabaseServerId}Update Tenant Database Server information.
DELETE /rest/tenantdatabaseservers/{tenantDatabaseServerId}?sID=…Delete tenant database server by ID.

Method Detail
HTTP Example:
GET /rest/tenantdatabaseservers/{tenantDatabaseServerId}?sID=…

API Example:

ITenantDatabaseServerAPI.getTenantDatabaseServer({'sID': /* sID session ID. */,
  'tenantDatabaseServerId': /* tenantDatabaseServerId Unique identifier of the Tenant Database Server. */});

Get a specific Tenant Database Server.

Output:
TenantDatabaseServerElement - The information about the requested Tenant Database Server.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
PUT /rest/tenantdatabaseservers/{tenantDatabaseServerId}

API Example:

ITenantDatabaseServerAPI.updateTenantDatabaseServer({'tenantDatabaseServerId': /* tenantDatabaseServerId Unique identifier of the Tenant Database Server to update. */,
  '$entity': /* updateTenantDatabaseServerRequest The request parameters. */});

Update Tenant Database Server information.

Note: Only state information modification is supported for the primary server.

Input:
UpdateTenantDatabaseServerRequest - The request parameters.
Output:
UpdateTenantDatabaseServerResponse - A response with status 200 OK and a body containing response information when the update succeeds. It will return a response with status 400 Bad Request and a body containing an ErrorMessage if parameters are invalid.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json
HTTP Example:
DELETE /rest/tenantdatabaseservers/{tenantDatabaseServerId}?sID=…

API Example:

ITenantDatabaseServerAPI.deleteTenantDatabaseServerById({'sID': /* sID session ID. */,
  'tenantDatabaseServerId': /* tenantDatabaseServerId Unique identifier of the tenant database server to delete. */});

Delete tenant database server by ID.

Note: The operation is not supported for the primary database server.

Output:
DeleteTenantDatabaseServerResponse - A response with status 200 OK and a body containing response information when deletion is successful. If the database server ID is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage. If the database server with the given ID does not exist, it will return a response with status 404 Not Found.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.